# Qt4 package conflicts which this one and is packaged as qimageblitz
# The runtime libs can be installed next to each other though

%define oname   qimageblitz
%define major   5
%define svnrev  svn1515099

Name:           qimageblitz5
Epoch:          1
Version:        0.0.6
Release:        %mkrel 10.%{svnrev}.6
Summary:        Graphics manipulation library for Qt 5
Group:          Graphics/Utilities
License:        BSD
Url:            https://kde.org
# Source0:        ftp://ftp.kde.org/pub/kde/stable/qimageblitz/%%{name}-%%{version}.tar.bz2
# From KDE SVN: https://websvn.kde.org/trunk/kdesupport/qimageblitz/
Source0:        %{oname}-%{version}+%{svnrev}.tar.xz
# From https://www.mail-archive.com/kde-core-devel@kde.org/msg20678.html
Patch0:         qimageblitz-0.0.6-kde-qt5-coinstall.patch
Patch1:         qimageblitz-0.0.6-fix-build-with-Qt5-5.13.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
Qimageblitz is a graphics manipulation library.

%files
%{_bindir}/blitztest5

#--------------------------------------------------------------------

%define libname %mklibname %{oname} %{major}

%package -n %{libname}
Summary:        Qimageblitz runtime library for Qt 5
Group:          System/Libraries

%description -n %{libname}
Qimageblitz runtime library.

%files -n %{libname}
%{_libdir}/lib%{oname}.so.%{major}{,.*}

#--------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:        Development files for %{name} on Qt 5
Group:          Development/KDE and Qt
Requires:       %{libname} = %{epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Conflicts:      %{_lib}qimageblitz-devel

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%{_libdir}/lib%{oname}.so
%{_includedir}/%{oname}/
%{_libdir}/pkgconfig/%{name}.pc

#--------------------------------------------------------------------

%prep
%autosetup -n %{oname}-%{version}+%{svnrev} -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1:0.0.6-10.svn1515099.6.mga8
+ Revision: 1659486
- Rebuild for new Qt5
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1:0.0.6-10.svn1515099.5.mga8
+ Revision: 1528382
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Aug 20 2019 daviddavid <daviddavid> 1:0.0.6-10.svn1515099.4.mga8
+ Revision: 1430530
- fix build with new Qt 5.13

* Mon Apr 01 2019 umeabot <umeabot> 1:0.0.6-10.svn1515099.3.mga7
+ Revision: 1384207
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1:0.0.6-10.svn1515099.2.mga7
+ Revision: 1300653
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 daviddavid <daviddavid> 1:0.0.6-10.svn1515099.1.mga7
+ Revision: 1233574
- update to latest svn branch: 0.0.6_svn1515099
- rediff kde-qt5-coinstall patch

* Sun Feb 26 2017 daviddavid <daviddavid> 1:0.0.6-10.svn1480778.3.mga6
+ Revision: 1087888
- pkgconfig file requires Qt5Gui instead of the Qt4 one (QtGui)

* Sat Jan 21 2017 akien <akien> 1:0.0.6-10.svn1480778.2.mga6
+ Revision: 1082764
- Adapt spec file for Qt5 build
- Rename spec file
- Copy qimageblitz to qimageblitz5 for Qt5 version
- Fix wrong provides

* Sat Jan 21 2017 akien <akien> 1:0.0.6-10.svn1480778.1.mga6
+ Revision: 1082755
- Update to current SVN snapshot with Qt5 support
- Adapt spec file for upcoming cloned qimageblitz5 SRPM
- Fix license, it is BSD, not GPL

* Fri Feb 05 2016 umeabot <umeabot> 1:0.0.6-9.mga6
+ Revision: 938413
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.0.6-8.mga5
+ Revision: 743937
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.0.6-7.mga5
+ Revision: 688485
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.0.6-6.mga4
+ Revision: 517833
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.0.6-5.mga3
+ Revision: 379832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Mon Oct 15 2012 fwang <fwang> 1:0.0.6-4.mga3
+ Revision: 305922
- update rpm group
+ mikala <mikala>
- Remove obsoletes
- Remove pkconfig as BR
- Remove %%defattr() & %%clean section
- Fix requires in -devel pacakge
- Fix URL & SOURCE tag
- Clean spec

* Sat Jan 15 2011 mikala <mikala> 1:0.0.6-3.mga1
+ Revision: 19276
- Remove mdk macros
- Remove BuildRoot
- Add a macro for major following mageia kde's spec policy
- imported package qimageblitz

